# Interface VulkanExtKHRSwapChainType

All Superinterfaces:
  `VulkanExtensionType`

All Known Implementing Classes:
  `VulkanLWJGLExtKHRSwapChain`

public interface VulkanExtKHRSwapChainType extends VulkanExtensionType

See Also:
  - "VK_KHR_swapchain"

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `VulkanExtKHRSwapChainType.QueuePresentResult`
  The result of presenting an image.
  `static interface`
  `VulkanExtKHRSwapChainType.VulkanKHRSwapChainType`
  A created swap chain.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default List<String>`
  `extraNames()`
  `default String`
  `name()`
  `VulkanExtKHRSwapChainType.QueuePresentResult`
  `queuePresent(VulkanQueueType queue, VulkanPresentInfoKHR presentInfo)`
  Queue images for presentation.
  `VulkanExtKHRSwapChainType.VulkanKHRSwapChainType`
  `swapChainCreate(VulkanLogicalDeviceType device, VulkanSwapChainCreateInfo info)`
  Create a new swap chain.

- ## Method Details

  - ### name

    default String name()
    Specified by:
      `name` in interface `VulkanExtensionType`
    Returns:
      The name of the extension (such as "VK_KHR_Surface")

  - ### extraNames

    default List<String> extraNames()
    Specified by:
      `extraNames` in interface `VulkanExtensionType`
    Returns:
      The extra extension names that are also required (such as "VK_EXT_swapchain_maintenance1")

  - ### swapChainCreate

    VulkanExtKHRSwapChainType.VulkanKHRSwapChainType swapChainCreate(VulkanLogicalDeviceType device, VulkanSwapChainCreateInfo info) throws VulkanException
    Create a new swap chain.
    Parameters:
      `device` - The physical device
      `info` - The creation info
    Returns:
      The capabilities of the given surface
    Throws:
      `VulkanException` - On errors
    See Also:
      - "vkCreateSwapchainKHR"

  - ### queuePresent

    VulkanExtKHRSwapChainType.QueuePresentResult queuePresent(VulkanQueueType queue, VulkanPresentInfoKHR presentInfo) throws VulkanException
    Queue images for presentation.
    Parameters:
      `queue` - The presentation queue
      `presentInfo` - The presentation info
    Returns:
      The present result
    Throws:
      `VulkanException` - On errors
    See Also:
      - "vkQueuePresentKHR"